Package ch.qos.logback.classic.spi

## Class ThrowableProxyVO

- java.lang.Object
- - ch.qos.logback.classic.spi.ThrowableProxyVO

All Implemented Interfaces:
  `IThrowableProxy`, `java.io.Serializable`

    public class ThrowableProxyVO
    extends java.lang.Object
    implements IThrowableProxy, java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ThrowableProxyVO()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ThrowableProxyVO` `build​(IThrowableProxy throwableProxy)`
`boolean` `equals​(java.lang.Object obj)`
`IThrowableProxy` `getCause()`
`java.lang.String` `getClassName()`
`int` `getCommonFrames()`
`java.lang.String` `getMessage()`
`StackTraceElementProxy[]` `getStackTraceElementProxyArray()`
`IThrowableProxy[]` `getSuppressed()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThrowableProxyVO

    public ThrowableProxyVO()

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Specified by:
  `getMessage` in interface `IThrowableProxy`

#### getClassName

    public java.lang.String getClassName()

Specified by:
  `getClassName` in interface `IThrowableProxy`

#### getCommonFrames

    public int getCommonFrames()

Specified by:
  `getCommonFrames` in interface `IThrowableProxy`

#### getCause

    public IThrowableProxy getCause()

Specified by:
  `getCause` in interface `IThrowableProxy`

#### getStackTraceElementProxyArray

    public StackTraceElementProxy[] getStackTraceElementProxyArray()

Specified by:
  `getStackTraceElementProxyArray` in interface `IThrowableProxy`

#### getSuppressed

    public IThrowableProxy[] getSuppressed()

Specified by:
  `getSuppressed` in interface `IThrowableProxy`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### build

    public static ThrowableProxyVO build​(IThrowableProxy throwableProxy)